CREATE TABLE fnd_map_flex_eff_usages (
    MAP_ID               VARCHAR2(256),
    PARENT_MAP_ID        VARCHAR2(256),
    S_TYPE               VARCHAR2(4)      NOT NULL,
    S_APPLICATION_ID     NUMBER(15, 0),
    S_DFF_CODE           VARCHAR2(160)    NOT NULL,
    S_USAGE_CODE         VARCHAR2(120),
    T_APPLICATION_ID     NUMBER(18, 0),
    T_DFF_CODE           VARCHAR2(160),
    T_USAGE_CODE         VARCHAR2(120),
    MODULE_ID            VARCHAR2(128),
    MAPPED_FLAG          VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG        VARCHAR2(4)      NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128)    NOT NULL,
    MAP_ID               VARCHAR2(256),
    PARENT_MAP_ID        VARCHAR2(256),
    S_TYPE               VARCHAR2(4)      NOT NULL,
    S_APPLICATION_ID     NUMBER(15, 0),
    S_DFF_CODE           VARCHAR2(160)    NOT NULL,
    S_USAGE_CODE         VARCHAR2(120),
    T_APPLICATION_ID     NUMBER(18, 0),
    T_DFF_CODE           VARCHAR2(160),
    T_USAGE_CODE         VARCHAR2(120),
    MODULE_ID            VARCHAR2(128),
    MAPPED_FLAG          VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG        VARCHAR2(4)      NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128)    NOT NULL,
    CONSTRAINT pk_fnd_map_flex_eff_usages PRIMARY KEY (MAP_ID, MAP_ID)
);
